Bug 521559 - setroubleshoot: SELinux is preventing wine32 "read" access on /etc/nsswitch.conf.
Summary: setroubleshoot: SELinux is preventing wine32 "read" access on /etc/nsswi...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:1d2d2a98ba3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 22:47 UTC by Sebastiano M. Cossu
Modified: 2009-09-10 12:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-07 11:06:31 UTC


Attachments (Terms of Use)

Description Sebastiano M. Cossu 2009-09-06 22:47:27 UTC
The following was filed automatically by setroubleshoot:

Sommario:

SELinux is preventing wine32 "read" access on /etc/nsswitch.conf.

Descrizione dettagliata:

[wine32 has a permissive type (wine_t). This access was not denied.]

SELinux denied access requested by wine32. It is not expected that this access
is required by wine32 and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Abilitazione accesso in corso:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Informazioni aggiuntive:

Contesto della sorgente       unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
Contesto target               system_u:object_r:etc_t:s0
Oggetti target                /etc/nsswitch.conf [ file ]
Sorgente                      wine32
Percorso della sorgente       /usr/bin/wine-preloader
Porta                         <Sconosciuto>
Host                          (removed)
Sorgente Pacchetti RPM        wine-core-1.1.29-1.fc12
Pacchetti RPM target          glibc-2.10.90-20
RPM della policy              selinux-policy-3.6.30-2.fc12
Selinux abilitato             True
Tipo di policy                targeted
MLS abilitato                 True
Modalità Enforcing           Enforcing
Nome plugin                   catchall
Host Name                     (removed)
Piattaforma                   Linux (removed) 2.6.31-0.204.rc9.fc12.i686 #1 SMP Sat
                              Sep 5 21:01:10 EDT 2009 i686 i686
Conteggio avvisi              2
Primo visto                   lun 07 set 2009 00:35:58 CEST
Ultimo visto                  lun 07 set 2009 00:35:58 CEST
ID locale                     ef8324d9-f33f-4a1c-a7e0-9da81384fa48
Numeri di linea               

Messaggi Raw Audit            

node=(removed) type=AVC msg=audit(1252276558.620:87): avc:  denied  { read } for  pid=6058 comm="wine32" name="nsswitch.conf" dev=dm-0 ino=44122 scontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1252276558.620:87): avc:  denied  { open } for  pid=6058 comm="wine32" name="nsswitch.conf" dev=dm-0 ino=44122 scontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1252276558.620:87): arch=40000003 syscall=5 success=yes exit=4 a0=682b8413 a1=0 a2=1b6 a3=682b576e items=0 ppid=1 pid=6058 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="wine32" exe="/usr/bin/wine-preloader" subj=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= wine_t ==============
allow wine_t etc_t:file { read open };

Comment 1 Daniel Walsh 2009-09-07 11:06:31 UTC
Fixed in selinux-policy-3.6.30-5.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.